> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Create a new badge



## OpenAPI

````yaml /openapi/tenant.json post /api/v1/admin/membership/badges
openapi: 3.0.1
info:
  title: Cativa Social API (public)
  version: public
servers: []
security: []
paths:
  /api/v1/admin/membership/badges:
    post:
      tags:
        - Badges
      summary: '[Admin] Create a new badge'
      operationId: Admin_CreateBadge
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Membership.Badge.Application.Requests.Badges.Admin.AdminCreateBadge.AdminCreateBadgeRequest
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    Cativa.Membership.Badge.Application.Requests.Badges.Admin.AdminCreateBadge.AdminCreateBadgeRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        link:
          type: string
          nullable: true
        relevance:
          type: integer
          format: int32
        openUrl:
          type: string
          nullable: true
        isPublic:
          type: boolean
      additionalProperties: false

````